--- title: "Add a protected object to a VM group" slug: "add-a-protected-object-to-a-vm-group-3" tags: ["Product Usage"] updated: 2026-11-19T12:28:23Z published: 2026-11-19T12:28:23Z canonical: "docs.trellix.com/add-a-protected-object-to-a-vm-group-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a protected object to a VM group This URL adds a protected object to a VM group. ### Resource URL POST /vmgroup//protectedObject ### Request Parameters URL Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `VM group Id` | VM group ID. You can use the `GET /vmgroup` method to get the VM group ID. | string | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `type` | Type of protected object | string | Yes | | `value` | Value of the protected object | string | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the addition of protected group to the VM group is successful. Value is set to `true` if the addition of protected group to the VM group is successful. Value is set to `false` if the addition of protected group to the VM group is not successful. | string | | `msg` | Not applicable | Not applicable | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Not applicable | Not applicable | ### Example **Request** POST [https:///intruvert/webservice/api/v1/cloud/vmgroup/12/protectedObject](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup/12/protectedObject) ``` { "type":"cidr", "value":"1.1.1.0/24" } ``` **Response** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": null } ```